Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface SimpleGenerator

All Known Subinterfaces:
  C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, MT19937gen, PMMLCG1gen, PMMLCGgen, PSWBgen, SimpleRandomGenerator

public interface SimpleGenerator

Internal.

Method Summary
`long` | `getCurrentCount()` The getCurrentCount method returns the count of variates generated.
`double` | `getDoubleSample()` The getDoubleSample method returns a random floating point number of size double, uniformly distributed in the range [0.0, 1.0).
`float` | `getFloatSample()` The getFloatSample method returns a random floating point number of size float, uniformly distributed in the range [0.0, 1.0).
`double` | `getThinDoubleSample()` The getThinDoubleSample method returns a random floating point number of size double, uniformly distributed in the range [0.0, 1.0).
`int` | `getUnsignedSample()` The getUnsignedSample method returns a random unsigned integer uniformly distributed over [0,unsignedMax].

Method Detail

### getUnsignedSample

    public int getUnsignedSample()

  The getUnsignedSample method returns a random unsigned integer uniformly distributed over [0,unsignedMax].

### getFloatSample

    public float getFloatSample()

  The getFloatSample method returns a random floating point number of size float, uniformly distributed in the range [0.0, 1.0). It uses 1 call to -getUnsignedSample to fill the mantissa.

### getThinDoubleSample

    public double getThinDoubleSample()

  The getThinDoubleSample method returns a random floating point number of size double, uniformly distributed in the range [0.0, 1.0). It uses 1 call to -getUnsignedSample to fill the mantissa.

### getDoubleSample

    public double getDoubleSample()

  The getDoubleSample method returns a random floating point number of size double, uniformly distributed in the range [0.0, 1.0). It uses 2 calls to -getUnsignedSample to fill the mantissa.

### getCurrentCount

    public long getCurrentCount()

  The getCurrentCount method returns the count of variates generated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD